-- -*-coding: utf-8;-*-

local L = LibStub("AceLocale-3.0"):NewLocale("BuddyName", "enUS", true) -- final "true" means default locale

L["CHAR_BUDDY"] = "%s is \"%s\"";
L["ACTIVATED"] = "Activated";
L["DEACTIVATED"] = "Deactivated";
L["PLACEHOLDER"] = "Placeholder, fill me";
L["NOT_ACTIVE"] = "Not active at the moment";
L["ALREADY_ACTIVE"] = "Already activated";
L["WRONG_NUMBER_OF_ARGUMENTS"] = "Wrong number of arguments";
L["FUNCTION_NOT_AVAILABLE"] = "This function is not yet available";
L["UNKNOWN_COMMAND"] = "Unknown command: %s";
L["HELP"] = "Usage:\nAdd Buddy: /bn add <char> <buddy>\nDel Buddy: /bn del <char>\nList Buddies: /bn list (guild / <name>)\nSwitch on BuddyName: /bn on\nSwitch off BuddyName: /bn off";
L["UPDATING_DB"] = "Updating internal DB to version %i";
L["UPDATE_OK"] = "Update completed";
L["BUDDY_ADD_OK"] = "Added buddy:";
L["BUDDY_ADD_ERROR"] = "Could not add:";
L["BUDDY_DEL_ERROR"] = "Deletion of %s was not successful (not in list?)";
L["BUDDY_DEL_OK"] = "Deleted buddy:";
L["BUDDY_LIST_COMPLETE"] = "Buddy list for \"%s\":";
L["BUDDY_LIST_GUILD"] = "Guild \"%s\" on \"%s\":";
L["BUDDY_LIST_CONTAINS"] = "Buddies on \"%s\" that contain \"%s\":";
L["NOT_IN_GUILD"] = "You are not in a guild";
L["UPDATE_BUDDYNAME"] = "This version of BuddyName is too old. Please install an update.";
L["REMOVE_BROKEN_FROM_DB"] = "Removed broken entry from database";

L["CHARNAME_ILLEGAL_CHAR"] = "Character name contains illegal char: %q";
L["BUDDYNAME_ILLEGAL_CHAR"] = "Buddy name contains illegal char: %q";
L["CHARNAME_TOO_LONG"] = "Character name is too long. Has %d chars, maximum is %d chars.";
L["CHARNAME_TOO_SHORT"] = "Character name is too short. Has %d chars, minimum is %d chars.";
L["BUDDYNAME_TOO_LONG"] = "Buddy name is too long. Has %d chars, maximum is %d chars.";
L["DEBUG_ON"] = "Switched on debug messages";
L["DEBUG_OFF"] = "Switched off debug messages";

-- Communication-related messages
L["SYNC_ON"] = "Switched on guild synchronization";
L["SYNC_OFF"] = "Switched off guild synchronization";
L["COMM_GUILD_BROADCAST"] = "Initiating guild broadcast";
L["COMM_NO_GUILD_BROADCAST"] = "Guild broadcast not initiated as communication is not active";
L["SYNC_ADD_BUDDY"] = "Adding buddy from sync (%s):";
L["SYNC_UPD_BUDDY"] = "Updating buddy from sync (%s):";
L["SYNC_SHARE_SINGLE"] = "Sharing entry with guild";
L["SYNC_INACTIVE"] = "Synchronization is not activated at the moment";
L["SYNC_ADD_MULTI"] = "Guild sync: %d new buddies, %d updated buddies";
L["SYNC_SHARE_ENTRIES"] = "Sharing %d entries with guild";

-- used for pattern matching purposes in BuddyFrame.lua. These won't work in other languages if not localized.
-- Patterns taken from FrameXML/GlobalSrings.lua
L["ANNOUNCE_ONLINE"] = "|Hplayer:([^|]+)|h%[([^%]]+)%]|h has come online.$"; -- ERR_FRIEND_ONLINE_SS
L["ANNOUNCE_OFFLINE"] = "([^%s]+) has gone offline.$"; -- ERR_FRIEND_OFFLINE
L["ANNOUNCE_ACHIEVEMENT"] = "|Hplayer:([^|]+)|h%[([^%]]+)%]|h has earned the achievement ";
L["ANNOUNCE_LOOTED"] = "([^%s]+) receives loot:";

--[[ Configuration labels ]]
L["CFG_ACTIVATE_BN"] = "Activate BuddyName";
L["CFG_ACTIVATE_GUILDSYNC"] = "Activate guild synchronization";
L["CFG_GUILDSYNC_INFO"] = "Display information about sync in chat";
L["CFG_GUILDSYNC_OVERWRITE"] = "Synchronization may overwrite existing entries";
L["CFG_DISPLAY_OWN_NAME"] = "Display your own buddy name in chat";
L["CFG_PATTERN_TITLE"] = "Change replacement pattern:";
L["CFG_PATTERN_DESC"] = "Here you can set the pattern that is used for name substitution in chat.\nThe following patterns can be used:\n%char: Character name\n%buddy: Buddy name";
L["CFG_PATTERN_TOO_LONG"] = "Pattern is too long, max. %d chars";
L["CFG_PATTERN_EMPTY"] = "Pattern is empty";
L["CFG_CHAT_CHANNELS"] = "Chat channels";
L["CFG_CHAT_CHANNELS_DESC"] = "Choose in which channels buddy names should be displayed";
-- chat channels
L["CFG_BATTLEGROUND"] = "Battleground";
L["CFG_CHANNEL"]      = "Regular chat channels";
L["CFG_GUILD"]        = "Guild channel";
L["CFG_PARTY"]        = "Party";
L["CFG_RAID"]         = "Raid groups";
L["CFG_WHISPER"]      = "Whispers";
L["CFG_YELL"]         = "Yell";
L["CFG_OTHER"]        = "Notifications";